# TdApi.SetName (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: SetName

Package it.tdlight.jni

# Class TdApi.SetName

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.SetName

Enclosing class:
  TdApi

    public static class TdApi.SetName
    extends TdApi.Function

Changes the first and last name of the current user.

Returns `Ok`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`String` | `firstName` | The new value of the first name for the current user; 1-64 characters.
`String` | `lastName` | The new value of the optional last name for the current user; 0-64 characters.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`SetName()` | Changes the first and last name of the current user.
`SetName​(DataInput input)` |
`SetName​(String firstName, String lastName)` | Changes the first and last name of the current user.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### firstName

public String firstName
The new value of the first name for the current user; 1-64 characters.

### lastName

public String lastName
The new value of the optional last name for the current user; 0-64 characters.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### SetName

public SetName()
Changes the first and last name of the current user.

Returns `Ok`

### SetName

public SetName​(String firstName, String lastName)
Changes the first and last name of the current user.

Returns `Ok`

Parameters:
  `firstName` - String The new value of the first name for the current user; 1-64 characters.
  `lastName` - String The new value of the optional last name for the current user; 0-64 characters.

### SetName

public SetName​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`